import { View, Form, Input, Switch, Textarea } from "@tarojs/components"
import Taro from "@tarojs/taro"
import CustomNav from "@/components/CustomNav"
import ButtontWX from '@/components/ButtontWX'
import { addressSave, getAddress, addressDelete, addressUpdate } from "@/services/address"

import './style.less'
import { useEffect } from "react"




export default (props) => {
  const formSubmit = e => {
    const value = e.detail.value
    console.log(value)
    addressSave({ address: value.address, isDefault: value.isDefault }).then((e) => {
      console.log('e', e);
    })

  }

  const formReset = e => {
    console.log(e)
  }

  return (

    <View className='form-content'>
      <Form onSubmit={formSubmit} onReset={formReset} >
        <View className='example-body'>
          <View>详细地址：</View>
          <Textarea name='address' className='aTextareaCentent' placeholder='请输入地址信息' />
        </View>
        {/* <View className='example-body'>
          <View>是否设为默认地址：</View>

          <Switch name='isDefault' onChange={handelSwitch} type='checkbox' />
        </View> */}
        <View className='buton-bottom'>
          <ButtontWX onClick={formSubmit} formType='submit' butText='保存' butWidth={315} butHeight={49} butFontSize={16} butBorderRadius={49} />
        </View>
      </Form>

    </View>

  )
}